---
lang: en
title: 'API docs: rest.invokemethodprovider.action'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.invokemethodprovider.action.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [InvokeMethodProvider](./rest.invokemethodprovider.md) &gt; [action](./rest.invokemethodprovider.action.md)

## InvokeMethodProvider.action() method

<b>Signature:</b>

```typescript
action(route: RouteEntry, args: OperationArgs): Promise<OperationRetval>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  route | <code>RouteEntry</code> |  |
|  args | <code>OperationArgs</code> |  |

<b>Returns:</b>

`Promise<OperationRetval>`


